restinio::http_field_parsers::authorization_details Namespace Reference

## Classes

struct | is_token68_char_predicate_t
| A preducate for symbol_producer_template that checks that a symbol can be used inside token68 from RFC7235. More...
struct | token68_t
| A structure for holding a value of token68 from RFC7235. More...

## Functions

RESTINIO_NODISCARD auto | token68_symbol_p ()
std::ostream & | operator<< (std::ostream &to, const token68_t &v)
RESTINIO_NODISCARD auto | token68_p ()

## Function Documentation

## operator<<()

std::ostream & restinio::http_field_parsers::authorization_details::operator<< | ( | std::ostream & | to,
|  | const token68_t & | v
| ) |  |

inline

Definition at line 87 of file authorization.hpp.

## token68_p()

RESTINIO_NODISCARD auto restinio::http_field_parsers::authorization_details::token68_p | ( |  | ) |

inline

Definition at line 98 of file authorization.hpp.

## token68_symbol_p()

RESTINIO_NODISCARD auto restinio::http_field_parsers::authorization_details::token68_symbol_p | ( |  | ) |

inline

Definition at line 65 of file authorization.hpp.